Bug 445336 - gpg key retrieval ignores proxy settings
gpg key retrieval ignores proxy settings
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-06 05:00 EDT by Michael Young
Modified: 2014-01-21 18:02 EST (History)
7 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 12:37:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Young 2008-05-06 05:00:05 EDT
If I have installed a third party yum configuration file, which has a URL for
the gpgkey setting, then gpg key retrieval will fail, because it seems yum is
going direct to the remote site rather than using the proxy settings in its
configuration file, and direct access doesn't work at my site. As a result the
packages will fail to install.
Comment 1 Kulbir Saini 2008-05-30 13:47:51 EDT
Can you please post your yum version and any tracebacks you get on command line.
That would help to fix the problem easily and early.
Comment 2 Michael Young 2008-05-30 16:02:22 EDT
There is no traceback. It just takes ages at the retrieving gpg key stage and ends
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 36e812a2

GPG key retrieval failed: [Errno 4] IOError: <urlopen error (110, 'Connection
timed out')>
and I can see from netstat that it is trying to retrieve the URL directly rather
than obeying the proxy= configuration in yum.conf.
This is with yum-3.2.16-2.fc9.noarch, also yum-3.2.8-2.fc8
Comment 3 James Antill 2008-10-25 12:39:45 EDT
I'm moving this off the blocker list, given that it's been true since at least 3.2.8 (pre Fedora 9 GA).
We might still fix it for Fedora 10, it just doesn't seem like it should block anything.
Comment 4 James Antill 2008-10-25 13:08:22 EDT
This is fixed in upstream commit: 14ccb3cd86c89f5ae96f74f78210287e14943b68
Comment 5 Bug Zapper 2008-11-26 05:39:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Jon Stanley 2008-11-26 12:37:39 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!
Comment 7 James Antill 2008-11-26 15:47:23 EST
this is fixed in 3.2.21, or the soon-ish comming pre-release of same.

Note You need to log in before you can comment on or make changes to this bug.